Pistis
API referenceFlows

List a flow's runs

GET
/flows/{flowId}/runs

The newest 50, newest first.

Authorization

bearer
headerAuthorizationBearer <token>

An API token

Path Parameters

flowId*string

A flow id

Response Body

Runs

application/json
  1. response
items*array<>
Example Request
curl -X GET 'http://127.0.0.1:7777/flows/nightly-check/runs'
Example Response
{  "items": [    {      "runId": "string",      "flowId": "string",      "sessionId": "string",      "status": "running",      "startedAt": 0,      "children": {        "property1": {          "state": "running",          "sessionId": "string"        },        "property2": {          "state": "running",          "sessionId": "string"        }      }    }  ]}